name: mongod
cmd:
  - start: |
      ros_env
      mkdir -p /tmp/robocup_data/kbases
      cp ${prefix}/share/robocup_data/knowledgeBase/bases/* /tmp/robocup_data/kbases
      chmod -R go+rw /tmp/robocup_data
      stdbuf -oL -eL mongod --dbpath /tmp/robocup_data/kbases --config ${PATH_TO_MONGOD_CONFIG}
  - check: #TODO
tags:
  - kbase
requires:
  - base_system  
provides:
  - mongod
host: ${basepc}

#original vdemo definition
#"mongod, $basepc,-l -t P_mongod -g KBASE -w 40 -v ARGS=\"\${PATH_TO_MONGOD_CONFIG}\" -L 8:"
